Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pix.consumer
Class PixConsumer

    java.lang.Object
      org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
          org.eclipse.ohf.ihe.pix.consumer.PixConsumer

    public class PixConsumer

extends Client

This class implements the PIX/PDQ Client Patient Identifier Cross-Reference Consumer. This actor's role is to initiate a request (query) for a list of patient identifiers that correspond to a consumer's patient identifier. The Patient Identifier Cross-Reference Manager immediately returns a list response with no intermediate ACK.

Accepts: QBP^Q23
IHE HL7 Segments: MSH,QPD,RCP
IHE HL7 Standard: HL7 2.5

PIXQueryMgr transactions:
QBP^Q23 - Get Corresponding Identifiers
RSP^K23 - Find Corresponding Identifiers Response

See IT Infrastructure Technical Framework Vol 2 > IHE Transactions > PIX Query

Author:
  Sondra Renly

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
`ATNA_PDQ_AUDITSOURCE, ATNA_PIXC_AUDITSOURCE, ATNA_PIXS_AUDITSOURCE, SEND_MLLP_DEST`

Constructor Summary
`PixConsumer()` Constructs a PIX Consumer Client object.
`PixConsumer(org.eclipse.ohf.hl7v2.core.definitions.formats.PrivateFormat javaStream)` Constructs a PIX Consumer Client object.
`PixConsumer(org.eclipse.ohf.hl7v2.core.definitions.formats.PrivateFormat javaStream, java.io.InputStream conformanceProfile)` Constructs a PIX Consumer Client object.
`PixConsumer(java.lang.String msAccessFile)` Constructs a PIX Consumer Client object.
`PixConsumer(java.lang.String msAccessFile, java.io.InputStream conformanceProfile)` Constructs a PIX Consumer Client object.

Method Summary
`PixConsumerQuery` | `createQuery(java.lang.String patientId)` QBP_Q23 Get Corresponding IDs Query - create message
`PixConsumerQuery` | `createQuery(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` QBP_Q23 Get Corresponding IDs Query - create message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendQuery(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` Process Message Object message with optional intermediate verification.
`PixConsumerResponse` | `sendQuery(PixConsumerQuery msg, boolean verify, java.lang.String auditUser)` Process PixConsumerQuery message with optional intermediate verification.
`java.lang.String` | `sendQuery(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` Processes HL7 messages with optional intermediate verification.

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
`getConformanceProfileValidationItems, getCPProfile, getHL7DefinitionValidationItems, getMaxVerifyEvent, getMessageManager, getMLLPDestination, getURI, isCanVerifyConformanceProfile, isCanVerifyHL7Definition, isDoAudit, sendHL7, sendMsg, setConformanceProfile, setConformanceProfileUseToFalse, setDoAudit, setMaxVerifyEvent, setMessageManager, setMLLPDestination`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixConsumer

    public PixConsumer()
                throws ClientException

  Constructs a PIX Consumer Client object.

  Throws:
    `ClientException`

### PixConsumer

    public PixConsumer(org.eclipse.ohf.hl7v2.core.definitions.formats.PrivateFormat javaStream)
                throws ClientException

  Constructs a PIX Consumer Client object.

  Parameters:
    `javaStream` - - hl7Definitions.stream (or similar)
  Throws:
    `ClientException`

### PixConsumer

    public PixConsumer(org.eclipse.ohf.hl7v2.core.definitions.formats.PrivateFormat javaStream,
                       java.io.InputStream conformanceProfile)
                throws ClientException

  Constructs a PIX Consumer Client object.

  Parameters:
    `javaStream` - - hl7Definitions.stream (or similar)
    `conformanceProfile` - - XML file (ex. resources > conf > QBP-Q23(get corresponding IDs).XML)
  Throws:
    `ClientException`

### PixConsumer

    public PixConsumer(java.lang.String msAccessFile)
                throws ClientException

  Constructs a PIX Consumer Client object.

  Parameters:
    `msAccessFile` - - hl7_58.mdb (or similar)
  Throws:
    `ClientException`

### PixConsumer

    public PixConsumer(java.lang.String msAccessFile,
                       java.io.InputStream conformanceProfile)
                throws ClientException

  Constructs a PIX Consumer Client object.

  Parameters:
    `msAccessFile` - - hl7_58.mdb (or similar)
    `conformanceProfile` - - XML file (ex. resources > conf > QBP-Q23(get corresponding IDs).XML)
  Throws:
    `ClientException`

Method Detail

### createQuery

    public PixConsumerQuery createQuery(java.lang.String patientId)
                                 throws PixConsumerException

  QBP_Q23 Get Corresponding IDs Query - create message

  Parameters:
    `patientId` -
  Returns:
    PixConsumerQuery
  Throws:
    `PixConsumerException`

### createQuery

    public PixConsumerQuery createQuery(java.lang.String patientId,
                                        java.lang.String namespaceId,
                                        java.lang.String universalId,
                                        java.lang.String universalIdType)
                                 throws PixConsumerException

  QBP_Q23 Get Corresponding IDs Query - create message

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Returns:
    PixConsumerQuery
  Throws:
    `PixConsumerException`

### sendQuery

    public java.lang.String sendQuery(java.lang.String rawHL7,
                                      boolean verify,
                                      java.lang.String auditUser)
                               throws PixConsumerException

  Processes HL7 messages with optional intermediate verification.

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Throws:
    `PixConsumerException`

### sendQuery

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendQuery(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                      boolean verify,
                                                                      java.lang.String auditUser)
                                                               throws PixConsumerException

  Process Message Object message with optional intermediate verification.

  Parameters:
    `msg` - - hl7v2 message (org.eclipse.ohf.hl7v2.core)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Throws:
    `PixConsumerException`

### sendQuery

    public PixConsumerResponse sendQuery(PixConsumerQuery msg,
                                         boolean verify,
                                         java.lang.String auditUser)
                                  throws PixConsumerException

  Process PixConsumerQuery message with optional intermediate verification.

  Parameters:
    `msg` - - PixConsumerQuery
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixConsumerResponse
  Throws:
    `PixConsumerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD